## nikwi 0.0.20060823

=== Makefile ===
#
# Makefile for `lib/libbadcfg.a' - it just calls bmake
#

lib/libbadcfg.amaker:
	bmake
	@echo Issue make docs if you want to build the documentation.

.PHONY: clean
clean:
	make -f Makefile.bm clean
	
.PHONY: docs
docs:
	make -C docs

.PHONY: distclean
distclean:
	make -f Makefile.bm distclean
	rm -f Makefile.bm
	rm -fr docs/output
.PHONY: install
install:
	make -f Makefile.bm install
.PHONY: uninstall
uninstall:
	make -f Makefile.bm uninstall
