=== docs/Makefile ===
all:
	slashdoc
