=== test/Makefile ===
#
# Makefile for `test' - it just calls bmake
#

testmaker:
	bmake

.PHONY: clean
clean:
	make -f Makefile.bm clean

.PHONY: distclean
distclean:
	make -f Makefile.bm distclean
.PHONY: install
install:
	make -f Makefile.bm install
.PHONY: uninstall
uninstall:
	make -f Makefile.bm uninstall
	rm -f Makefile.bm
