=== us/Makefile ===
#
# Makefile for `demo' - it just calls bmake
#

demomaker:
	bmake

.PHONY: clean
clean:
	make -f Makefile.bm clean
	make -f Makefile.uscript clean

.PHONY: distclean
distclean:
	make -f Makefile.bm distclean
	make -f Makefile.uscript distclean
.PHONY: install
install:
	make -f Makefile.bm install
.PHONY: uninstall
uninstall:
	make -f Makefile.bm uninstall
	rm -f Makefile.bm
