=== src/tools/bmp2ut/Makefile ===
all: bmp2ut

bmp2ut: bmp2ut.c
	$(CC) -ansi -Wall -O3 -o bmp2ut bmp2ut.c -lSDL
