=== debian/changelog ===
nikwi (0.0.20120213-8) unstable; urgency=medium

  * Team upload.
  * Switch to short DH
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Dec 2025 22:07:51 +0100

nikwi (0.0.20120213-7) unstable; urgency=medium

  * Team upload.
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.2

  [ Bastian Germann ]
  * Remove Sam from Uploaders (Closes: #1011584)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 12:05:46 +0100

nikwi (0.0.20120213-6) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright to copyright format 1.0. Use the correct zlib
    and WTFPL licenses.

 -- Markus Koschany <apo@debian.org>  Fri, 08 Oct 2021 23:08:37 +0200

nikwi (0.0.20120213-5) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.0.
  * Move the project to salsa.debian.org.
  * Update homepage field and point to new address.
  * Mark nikwi-data Multi-Arch: foreign.
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make and also pass LD.
    Thanks to Helmut Grohne for the patch. (Closes: #970942)

 -- Markus Koschany <apo@debian.org>  Fri, 08 Oct 2021 22:25:31 +0200

nikwi (0.0.20120213-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file and xpm icon. Upscale xpm icon to 64x64 pixel,
    convert it to png and install it into the hicolor icon directory.
  * Add reproducible_build.patch and make the build reproducible.
    Thanks to Chris Lamb for the report and patch, (Closes: #835625)
  * Fix spelling mistake in nikwi.6 manpage.

 -- Markus Koschany <apo@debian.org>  Mon, 31 Jul 2017 00:05:21 +0200

nikwi (0.0.20120213-3) unstable; urgency=medium

  * Team upload.
  * Add support for big-endian architectures. (Closes: #440673)
  * Re-enable building on any architecture.

 -- James Cowgill <jcowgill@debian.org>  Tue, 29 Mar 2016 18:41:29 +0100

nikwi (0.0.20120213-2) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * debian/control: Replace arm with arm64 in architectures list.
    Thanks to Martin Michlmayr for the report. (Closes: #791966)
  * Declare compliance with Debian Policy 3.9.7.
  * Vcs-Browser: Switch to https.
  * nikwi.desktop: Add keywords and a comment in German.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * source/options: Use the default xz compression from now on.
  * nikwi.6: Fix Lintian warning manpage-has-bad-whatis-entry.
  * Remove empty directories in install-arch target.

 -- Markus Koschany <apo@debian.org>  Fri, 25 Mar 2016 17:07:58 +0100

nikwi (0.0.20120213-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Miriam Ruiz ]
  * New upstream release, obtained from https://github.com/badsector/nikwi
  * Changed URLs in debian/control and debian/copyright
  * Changed my email to miriam@debian.org
  * Added armhf to Architecture list. Closes: #645664
  * Upgraded Standards-Version from 3.8.1 to
  * Upgraded compat level to 9
  * Upgraded package source format to 3.0
  * Fortified the building of the package

 -- Miriam Ruiz <miriam@debian.org>  Fri, 13 Sep 2013 17:41:13 +0200

nikwi (0.0.20060823-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added Recommends: nikwi to nikwi-data in debian/control
  * Added kfreebsd-i386 and hurd-i386 as supported architectures.
    Closes: #482901

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description
  * Added ia64 as a supported architecture (Closes: #483275)

  [ Sam Hocevar ]
  * Add amd64 to the list of architectures. Works like a charm.

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Add all little endian archs. (Closes: #515561).
  * Fix some hyphens used as minus in manpage.
  * Remove dh_make cruft from debian/copyright.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 14 Apr 2009 22:24:11 -0400

nikwi (0.0.20060823-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #390073)
  * Created build system based in standard make utility.
  * Patched code so that data files can be stored in an absolute path.
  * Removed rdtsc stuff for compatibility with other architectures.
  * Restricted architecture to i386 for the moment, until I find a way to
    solve the endianess problems.

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official categorie
  * call dh_desktop to run update-desktop-database

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 22 Aug 2007 15:09:51 +0000
