=== debian/control ===
Source: nikwi
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Barry deFreese <bdefreese@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libsdl1.2-dev,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/games-team/nikwi.git
Vcs-Browser: https://salsa.debian.org/games-team/nikwi
Homepage: https://github.com/jbradish/nikwi
X-Style: black

Package: nikwi
Architecture: any
Depends:
 nikwi-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: platform game where your goal is to collect candies
 You play the role of a 9 year old boy in his absolute dream: a world made
 of sweets! Guide Nikwi through his dream to eat everything in each of the 30
 levels, while you avoid the monsters who try to turn Nikwi's dream into a
 nightmare.
 .
 Nikwi features hours of gameplay in 30 sweet-themed levels made of five
 candy themes, more than 10 different monsters and obstacles -each one with
 it's own unique behaviour- and new gameplay elements in every theme.

Package: nikwi-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 nikwi,
Description: platform game where your goal is to collect candies - game data
 You play the role of a 9 year old boy in his absolute dream: a world made
 of sweets! Guide Nikwi through his dream to eat everything in each of the 30
 levels, while you avoid the monsters who try to turn Nikwi's dream into a
 nightmare.
 .
 This package includes the data needed to play the game.
