=== debian/rules ===
#!/usr/bin/make -f

PKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_CFLAGS_MAINT_APPEND = -DDATADIR=\"/usr/share/games/nikwi\"
export DEB_CXXFLAGS_MAINT_APPEND = -DDATADIR=\"/usr/share/games/nikwi\"

%:
	dh $@

override_dh_auto-build:
	dh_auto_build --buildsystem=makefile --sourcedirectory=src -- -f Makefile.debian
	dh_auto_build --buildsystem=makefile --sourcedirectory=src/nikwi -- -f Makefile.debian
	dh_auto_build --buildsystem=makefile --sourcedirectory=src/tools -- -f Makefile.debian
	sh makedata.sh
	sh makepack.sh
